<html>
<?php
/*
Copyright (c) 2014, Multon OÜ
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of the FreeBSD Project.
*/
?>
    <head>
        <title>Close</title>

        <style>
            html, body                  {padding:0; margin:0; font:1em/1.4 Cambria, Georgia, sans-serif; color:#333; background:#fff;}
            header, hgroup              {display:block;}
            a:link, a:visited           {border-bottom:1px solid #c55500; color:#c55500; text-decoration:none;}
            a:visited                   {border-bottom:1px solid #730800; color:#730800;}
            a:hover, a:focus, a:active  {border:0; color:#fff; background:#c55500;}
            a:visited:hover,
            a:visited:focus,
            a:visited:active            {color:#fff; background:#730800;}

            .container                  {width:540px; padding:0 0 10px; margin:0 auto 30px;}
            .header                     {border-bottom:1px solid #ddd;}
            .footer                     {padding:10px 0 30px; border-top:1px solid #ddd; margin-bottom:0;}

            h1                          {margin:1em 0 0; font-size:2.5em; font-weight:normal; line-height:1.2; text-align:center;}
            h2                          {margin:0.5em 0 1.5em; font-size:1.25em; font-weight:normal; font-style:italic; text-align:center;}
            p                           {margin:1em 0; line-height:1.4em;}

            pre                         {margin:1.4em 0; font-size:12px; line-height:1.4em; white-space:pre-wrap; word-wrap:break-word;}

            .follow                     {clear:both; margin-top:2em; font-size:1.125em;}
            .follow span                {font-weight:bold;}

            .note {
                position:relative;
                width:480px;
                padding:1em 1.5em;
                margin:2em auto;
                color:#fff;
                background:#97C02F;
                overflow:hidden;
            }

            .note:before {
                content:"";
                position:absolute;
                top:0;
                right:0;
                border-width:0 16px 16px 0; /* This trick side-steps a webkit bug */
                border-style:solid;
                border-color:#fff #fff #658E15 #658E15; /* A bit more verbose to work with .rounded too */
                background:#658E15; /* For when also applying a border-radius */
                display:block; width:0; /* Only for Firefox 3.0 damage limitation */
                /* Optional: shadow */
                -webkit-box-shadow:0 1px 1px rgba(0,0,0,0.3), -1px 1px 1px rgba(0,0,0,0.2);
                -moz-box-shadow:0 1px 1px rgba(0,0,0,0.3), -1px 1px 1px rgba(0,0,0,0.2);
                box-shadow:0 1px 1px rgba(0,0,0,0.3), -1px 1px 1px rgba(0,0,0,0.2);
            }

            .note.red {background:#C93213;}
            .note.red:before {border-color:#fff #fff #97010A #97010A; background:#97010A;}
            .note.red a {color:#BDBB8B;background:#C93213;}

            .note.blue {background:#53A3B4;}
            .note.blue:before {border-color:#fff #fff transparent transparent; background:transparent;}

            .note.taupe {background:#999868;}
            .note.taupe:before {border-color:#fff #fff #BDBB8B #BDBB8B; background:#BDBB8B;}

            .note.rounded {
                -webkit-border-radius:5px 0 5px 5px;
                -moz-border-radius:5px 0 5px 5px;
                border-radius:5px 0 5px 5px;
            }

            .note.rounded:before {
                border-width:8px; /* Triggers a 1px 'step' along the diagonal in Safari 5 (and Chrome 10) */
                border-color:#fff #fff transparent transparent; /* Avoids the 1px 'step' in webkit. Background colour shows through */
                -webkit-border-bottom-left-radius:5px;
                -moz-border-radius:0 0 0 5px;
                border-radius:0 0 0 5px;
            }

            .note p {margin:0;}
            .note p + p {margin:1.5em 0 0;}
        </style>

    </head>
</html>
<body>

<?php

    session_name('SignonSession');
    session_start();

    // Unset login data
    unset($_SESSION['PMA_single_signon_user']);
    unset($_SESSION['PMA_single_signon_password']);
    unset($_SESSION['PMA_single_signon_host']);

?>

<div class="note red rounded">
    <p>You've been logged out. Please <a href="#" onclick="window.close();">click here</a> to close the window.</p>
</div>

</body>

